<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Model;

/**
 *
 */
class PriceFilterStrategyProvider
{
    /**
     * @var \FiloBlu\Refilo\Model\PriceFilterStrategyProvider
     */
    private $priceFilterStrategy;

    /**
     * @param array $priceFilterStrategy
     */
    public function __construct(array $priceFilterStrategy = [])
    {
        $this->priceFilterStrategy = $priceFilterStrategy;
    }

    /**
     * @return mixed
     */
    public function getAll()
    {
        return $this->priceFilterStrategy;
    }
}
